Skip to main content

gettxout

gettxout "txid" n ( include_mempool )

Returns details about an unspent transaction output.

Argument #1 - txid

Type: string, required

The transaction id

Argument #2 - n

Type: numeric, required

vout number

Argument #3 - include_mempool

Type: boolean, optional, default=true

Whether to include the mempool. Note that an unspent output that is spent in the mempool won't appear.

Result (If the UTXO was not found)

null (json null)

Result (Otherwise)

{ (json object)
"bestblock" : "hex", (string) The hash of the block at the tip of the chain
"confirmations" : n, (numeric) The number of confirmations
"value" : n, (numeric) The transaction value in RDD
"scriptPubKey" : { (json object)
"asm" : "str", (string)
"hex" : "hex", (string)
"reqSigs" : n, (numeric, optional) (DEPRECATED, returned only if config option -deprecatedrpc=addresses is passed) Number of required signatures
"type" : "str", (string) The type, eg pubkeyhash
"address" : "str", (string, optional) reddcoin address (only if a well-defined address exists)
"addresses" : [ (json array, optional) (DEPRECATED, returned only if config option -deprecatedrpc=addresses is passed) Array of reddcoin addresses
"str", (string) reddcoin address
...
]
},
"coinbase" : true|false (boolean) Coinbase or not
}

Examples

Get unspent transactions:

reddcoin-cli listunspent
View the details:
reddcoin-cli gettxout "txid" 1

As a JSON-RPC call:

curl --user myusername --data-binary '{"jsonrpc": "1.0", "id": "curltest", "method": "gettxout", "params": ["txid", 1]}' -H 'content-type: text/plain;' http://127.0.0.1:45443/